/* ── Colour tokens: light (default) ─────────── */

:root {
  --bg:         #F4F4F5;
  --text:       #18181B;
  --muted:      #71717A;
  --border:     #b4b2b2ee;
  --nav-bg:     #F4F4F5;
  --card-bg:    #FAFAFB;
  --shadow-hov: rgba(0, 0, 0, 0.24);
}

@media (prefers-color-scheme: dark) {
  :root {
    --bg:         #131313;
    --text:       #FAFAFA;
    --muted:      #A1A1AA;
    --border:     #27272A;
    --nav-bg:     #131313;
    --card-bg:    #161616;
    --shadow-hov: rgba(0, 0, 0, 0.36);
  }
}

/* ── Global styles ─────────────────────────── */

body {
  background: var(--bg);
  font-family: 'Lora', Georgia, serif;
  color: var(--text);
}

.header {
  font-size: 16px;
  font-weight: 400;
  letter-spacing: 3px;
  color: var(--text);
  text-decoration: none;
}

.header:hover {
  color: var(--muted);
}

.nav-link {
  font-style: italic;
  font-size: 14px;
  color: var(--text);
  text-decoration: none;
}

.nav-link:hover {
  color: var(--muted)
}

/* ── Post card styles ───────────────────── */

/* .card {
  background-color: var(--card-bg);
  border: 1px solid var(--border);
}

.card:hover {
  box-shadow: 0 4px 12px var(--shadow-hov);
} */

.post-link {
  display: block;
  color: var(--text);
  text-decoration: none;
}

.post-link:hover {
  color: var(--muted);
}

.page-index .post-date {
  font-size: 12px;
  font-style: italic;
  color: var(--muted);
}

.page-index .post-title {
  font-size: 20px;
  font-weight: 500;
}

.page-index .post-excerpt {
  font-size: 14px;
  color: var(--muted);
}

/* ── Post page ── */

.page-post .post-date {
  font-size: 12px;
  font-style: italic;
  color: var(--muted);
}

.page-post .post-title {
  font-size: 37px;
  font-weight: 600;
  line-height: 1.12;
  color: var(--text);
  text-wrap: pretty;
}

.page-post .post-standfirst {
  font-size: 18px;
  font-style: italic;
  color: var(--muted);
  line-height: 1.65;
  text-wrap: pretty;
}

.page-post .post-body {
  padding-top: 34px;
}

.page-post .post-body p {
  font-size: 17px;
  line-height: 1.75;
  color: var(--text);
  text-wrap: pretty;
}

.page-post .post-body p + p {
  margin-top: 1.55em;
}

/* ── Footer styles ───────────────────── */

.footer {
  font-size: 14px;
  color: var(--muted);
}

.footer a {
  color: var(--text);
  text-decoration: none;
}